<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PushAPI.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.service</a> &gt; <span class="el_source">PushAPI.java</span></div><h1>PushAPI.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.service;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.sql.Timestamp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@SuppressWarnings(&quot;deprecation&quot;)
<span class="nc" id="L13">public class PushAPI {</span>

<span class="nc" id="L15">    private final Logger log = LoggerFactory.getLogger(this.getClass());</span>

    public String sendGetAPI(java.util.Map&lt;String, String&gt; data, String url) throws IOException {
        
<span class="nc" id="L19">        String response = &quot;&quot;;</span>
<span class="nc" id="L20">        BufferedReader br = null;</span>
<span class="nc" id="L21">        StringBuilder strb = new StringBuilder();</span>
        try {
<span class="nc" id="L23">            url = url.concat(&quot;?&quot;);</span>

<span class="nc bnc" id="L25" title="All 2 branches missed.">            for (java.util.Map.Entry&lt;String, String&gt; entity : data.entrySet()) {</span>
<span class="nc bnc" id="L26" title="All 2 branches missed.">                if (!url.endsWith(&quot;?&quot;))</span>
<span class="nc" id="L27">                    url = url.concat(&quot;&amp;&quot;);</span>
<span class="nc" id="L28">                String value = entity.getValue().replaceAll(&quot;\\s{1,}&quot;, &quot;%20&quot;);</span>
<span class="nc" id="L29">                value = value.replace(&quot;.&quot;, &quot;%2E&quot;);</span>
<span class="nc" id="L30">                value = value.replace(&quot;#&quot;, &quot;%23&quot;);</span>
<span class="nc" id="L31">                url = url.concat(entity.getKey() + &quot;=&quot; + value);</span>
<span class="nc" id="L32">            }</span>

<span class="nc" id="L34">            url = url.replace(&quot;#&quot;, &quot;%23&quot;);</span>
<span class="nc" id="L35">            String otpLog = &quot; [&quot; + new Timestamp(new java.util.Date().getTime()) + &quot;] &quot; + &quot;Request OTP : &quot;+ url;</span>
<span class="nc" id="L36">            log.info(otpLog);</span>
<span class="nc" id="L37">            URL httpGet = new URL(url);</span>
<span class="nc" id="L38">            br = new BufferedReader(new InputStreamReader(httpGet.openStream()));</span>
            try {
                String str;
<span class="nc bnc" id="L41" title="All 2 branches missed.">                while ((str = br.readLine()) != null) {</span>
<span class="nc" id="L42">                    strb.append(str).append(&quot;\n&quot;);</span>
                }
            } finally {
<span class="nc" id="L45">                br.close();</span>
            }
<span class="nc" id="L47">        } catch (IOException e) {</span>
<span class="nc" id="L48">            log.info(e.getMessage());</span>
<span class="nc bnc" id="L49" title="All 2 branches missed.">            if (e.getMessage().equalsIgnoreCase(&quot;Read timed out&quot;)) {</span>
<span class="nc" id="L50">                response = &quot;0&quot;;</span>
<span class="nc" id="L51">                return response;</span>
            }
<span class="nc" id="L53">        }</span>
<span class="nc" id="L54">        return strb.toString();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>